---
title: "Order refund"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/order-refund'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/order-refund.md'
---
# Order refund

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /order/refund.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `order_id`

  string

  Order number

* `processed_at`

  string

  Refund order launch time

* `refund_line_items`

  array<object>

  Refund Product line information , can be associated with multiple Product lines

  * `restock_type`

    string

    Product inventory processing

  * `type`

    string

    Dangyi shipping status is required when making a refund when in Product Unshipped : Product not shipped , Returned : the product has been returned

  * `line_item_id`

    long

    Product row id

  * `location_id`

    string

    Product stock back place

  * `quantity`

    long

    Trial refund Product quantity

* `shipping`

  object

  Refund policy for shipping amount

  * `amount`

    string

    Specify refund amount

  * `full_refund`

    boolean

    Return shipping fee or not

* `transactions`

  array<object>

  Payment slip refund information

  * `amount`

    string

    Refund amount, which the settlement currency amount corresponding to the payment order

  * `currency`

    string

    the settlement currency of the payment, which is optional. If the input currency is null, the application will verify whether the currency is the store currency, If it is not the store currency, an error will be reported and promp like: "the input currency must be the settlement currency of the payment:X”; If the input currency is passed, check whether the currency is the settlement currency of the payment. If not, an error will be reported and the prompt will be the same as above

  * `gateway`

    string

    Payment channels

  * `id`

    string

    Payment slip number , start with 230

  * `kind`

    string

    Payment slip type

  * `type`

    boolean

    Refund type , ture : refund on the original road

* `currency`

  string

  settlement currency of the order, which is optional. If the input currency is null, the application will verify whether the order settlement currency is the store currency, If it is not the store currency, an error will be reported, prompting like: "currency must be X”;
  If the input currency is passed, check whether the currency is the settlement currency of the order. If not, an error will be reported and the prompt will be: "currency must be X"

* `note`

  string

  Refund Notes

* `notify`

  boolean

  Send message notifications ( logic with existing b-end refund message )

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Data return body

  * `note`

    string

    Refund Notes

  * `order_adjustments`

    array<object>

    Adjust the order information

    * `amount`

      string

      Adjustment order amount

    * `kind`

      string

      Adjustment order type: refund_discrepancy, shipping_refund

    * `amount_set`

      object

      Adjust the single amount according to the store currency and transaction currency

      * `shop_money`

        object

        Store amount information

      * `presentment_money`

        object

        Marketplace amount information

    * `id`

      string

      Adjust single size

    * `tax_amount`

      string

      Adjust single tax amount

    * `order_id`

      string

      Order number for this adjustment of the single link

    * `tax_amount_set`

      object

      Adjust the single tax amount according to the store currency and transaction currency

      * `shop_money`

        object

        Store amount information

      * `presentment_money`

        object

        Marketplace amount information

    * `reason`

      string

      Reason for adjustment: Refund discrepancy, shipping_refund

    * `refund_id`

      string

      Refund id , unique recognition

  * `order_id`

    string

    Order number associated with this refund order

  * `refund_line_items`

    array<object>

    Refund related Product line information

    * `restock_type`

      string

      Return- returns only not back

    * `subtotal`

      string

      Refund Product row total amount , accuracy 2

    * `subtotal_set`

      object

      Total amount of refund Product bank by store currency and transaction currency

      * `presentment_money`

        object

        Marketplace amount information

      * `shop_money`

        object

        Store currency amount information

    * `total_tax`

      string

      Refund Product row tax total amount , accuracy 2

    * `total_tax_set`

      object

      Total amount of refund Product bank tax , sold in store currency and transaction currency

      * `shop_money`

        object

        Store currency amount information

      * `presentment_money`

        object

        Marketplace amount information

    * `id`

      long

      Product row id

    * `line_item_id`

      long

      The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

    * `quantity`

      long

      Refund Product quantity

  * `total_duties_set`

    object

    Refund total duty

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `transactions`

    array<object>

    Refund payment slip information

    * `processed_at`

      string

      Refund form update time

    * `status`

      string

      Handling status, pending, failure, success, and error

    * `amount`

      long

      The refund amount corresponding to the settlement currency of the refund payment order, precision 2

    * `create_at`

      string

      Creation time

    * `currency`

      string

      Payment currency , payment slip corresponding settlement currency

    * `id`

      string

      Payment slip number

    * `kind`

      string

      Payment slip type , here is only refund

    * `order_id`

      string

      Order number for this adjustment of the single link

  * `create_at`

    string

    Refund single creation time

  * `id`

    string

    Refund id , unique recognition


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "G11MNGS1",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "order_id": {
              "name": "order_id",
              "description": "Order number",
              "type": "string",
              "example": "21057520029298437725452511"
            },
            "processed_at": {
              "name": "processed_at",
              "description": "Refund order launch time",
              "type": "string",
              "example": "Format : 2023-04-12T22 : 59 : 52+08 : 00"
            },
            "refund_line_items": {
              "name": "refund_line_items",
              "description": "Refund Product line information , can be associated with multiple Product lines",
              "type": "array",
              "items": {
                "name": "refund_line_items",
                "description": "Refund Product line information , can be associated with multiple Product lines",
                "type": "object",
                "properties": {
                  "restock_type": {
                    "name": "restock_type",
                    "description": "Product inventory processing",
                    "type": "string",
                    "example": "return"
                  },
                  "type": {
                    "name": "type",
                    "description": "Dangyi shipping status is required when making a refund when in Product Unshipped : Product not shipped , Returned : the product has been returned",
                    "type": "string",
                    "example": "Unshipped"
                  },
                  "line_item_id": {
                    "name": "line_item_id",
                    "description": "Product row id",
                    "type": "long",
                    "example": 601
                  },
                  "location_id": {
                    "name": "location_id",
                    "description": "Product stock back place",
                    "type": "string",
                    "example": "5409714787218633772"
                  },
                  "quantity": {
                    "name": "quantity",
                    "description": "Trial refund Product quantity",
                    "type": "long",
                    "example": 1
                  }
                },
                "required": [
                  "type"
                ],
                "example": {
                  "quantity": 1,
                  "restock_type": "return",
                  "type": "Unshipped",
                  "line_item_id": 601,
                  "location_id": "5409714787218633772"
                }
              },
              "example": [
                {
                  "line_item_id": 601,
                  "location_id": "5409714787218633772",
                  "quantity": 1,
                  "restock_type": "return",
                  "type": "Unshipped"
                }
              ]
            },
            "shipping": {
              "name": "shipping",
              "description": "Refund policy for shipping amount",
              "type": "object",
              "properties": {
                "amount": {
                  "name": "amount",
                  "description": "Specify refund amount",
                  "type": "string",
                  "example": "1.23"
                },
                "full_refund": {
                  "name": "full_refund",
                  "description": "Return shipping fee or not",
                  "type": "boolean",
                  "example": true
                }
              },
              "example": {
                "full_refund": true,
                "amount": "1.23"
              }
            },
            "transactions": {
              "name": "transactions",
              "description": "Payment slip refund information",
              "type": "array",
              "items": {
                "name": "transactions",
                "description": "Payment slip refund information",
                "type": "object",
                "properties": {
                  "amount": {
                    "name": "amount",
                    "description": "Refund amount, which the settlement currency amount corresponding to the payment order",
                    "type": "string",
                    "example": "2.34"
                  },
                  "currency": {
                    "name": "currency",
                    "description": "the settlement currency of the payment, which is optional. If the input currency is null, the application will verify whether the currency is the store currency, If it is not the store currency, an error will be reported and promp like: \"the input currency must be the settlement currency of the payment:X”; If the input currency is passed, check whether the currency is the settlement currency of the payment. If not, an error will be reported and the prompt will be the same as above",
                    "type": "string",
                    "example": ""
                  },
                  "gateway": {
                    "name": "gateway",
                    "description": "Payment channels",
                    "type": "string",
                    "example": "Paypal"
                  },
                  "id": {
                    "name": "id",
                    "description": "Payment slip number , start with 230",
                    "type": "string",
                    "example": "23057520029306658561302511"
                  },
                  "kind": {
                    "name": "kind",
                    "description": "Payment slip type",
                    "type": "string",
                    "example": "refund"
                  },
                  "type": {
                    "name": "type",
                    "description": "Refund type , ture : refund on the original road",
                    "type": "boolean",
                    "example": true
                  }
                },
                "example": {
                  "id": "23057520029306658561302511",
                  "kind": "refund",
                  "type": true,
                  "amount": "2.34",
                  "currency": "",
                  "gateway": "Paypal"
                }
              },
              "example": [
                {
                  "type": true,
                  "amount": "2.34",
                  "currency": "",
                  "gateway": "Paypal",
                  "id": "23057520029306658561302511",
                  "kind": "refund"
                }
              ]
            },
            "currency": {
              "name": "currency",
              "description": "settlement currency of the order, which is optional. If the input currency is null, the application will verify whether the order settlement currency is the store currency, If it is not the store currency, an error will be reported, prompting like: \"currency must be X”;\nIf the input currency is passed, check whether the currency is the settlement currency of the order. If not, an error will be reported and the prompt will be: \"currency must be X\"",
              "type": "string",
              "example": ""
            },
            "note": {
              "name": "note",
              "description": "Refund Notes",
              "type": "string",
              "example": "Refund"
            },
            "notify": {
              "name": "notify",
              "description": "Send message notifications ( logic with existing b-end refund message )",
              "type": "boolean",
              "example": true
            }
          },
          "required": [
            "order_id",
            "transactions"
          ],
          "example": {
            "refund_line_items": [
              {
                "restock_type": "return",
                "type": "Unshipped",
                "line_item_id": 601,
                "location_id": "5409714787218633772",
                "quantity": 1
              }
            ],
            "shipping": {
              "amount": "1.23",
              "full_refund": true
            },
            "transactions": [
              {
                "kind": "refund",
                "type": true,
                "amount": "2.34",
                "currency": "",
                "gateway": "Paypal",
                "id": "23057520029306658561302511"
              }
            ],
            "currency": "",
            "note": "Refund",
            "notify": true,
            "order_id": "21057520029298437725452511",
            "processed_at": "Format : 2023-04-12T22 : 59 : 52+08 : 00"
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Data return body",
                "type": "object",
                "properties": {
                  "note": {
                    "name": "note",
                    "description": "Refund Notes",
                    "type": "string",
                    "example": "Remark"
                  },
                  "order_adjustments": {
                    "name": "order_adjustments",
                    "description": "Adjust the order information",
                    "type": "array",
                    "items": {
                      "name": "order_adjustments",
                      "description": "Adjust the order information",
                      "type": "object",
                      "properties": {
                        "amount": {
                          "name": "amount",
                          "description": "Adjustment order amount",
                          "type": "string",
                          "example": "2.34"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "Adjustment order type: refund_discrepancy, shipping_refund",
                          "type": "string",
                          "example": "refund_discrepancy"
                        },
                        "amount_set": {
                          "name": "amount_set",
                          "description": "Adjust the single amount according to the store currency and transaction currency",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store amount",
                                  "type": "string",
                                  "example": "2.34"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.34",
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Marketplace amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Marketplace amount",
                                  "type": "string",
                                  "example": "2.34"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Market currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.34",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "2.34",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "2.34",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "Adjust single size",
                          "type": "string",
                          "example": ""
                        },
                        "tax_amount": {
                          "name": "tax_amount",
                          "description": "Adjust single tax amount",
                          "type": "string",
                          "example": "978"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "Order number for this adjustment of the single link",
                          "type": "string",
                          "example": "21057520029298437725452511"
                        },
                        "tax_amount_set": {
                          "name": "tax_amount_set",
                          "description": "Adjust the single tax amount according to the store currency and transaction currency",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store amount information",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store currency",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "Store amount",
                                  "type": "string",
                                  "example": "3.45"
                                }
                              },
                              "example": {
                                "amount": "3.45",
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Marketplace amount information",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Market currency",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "Marketplace amount information",
                                  "type": "string",
                                  "example": "2.34"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "2.34"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "3.45"
                            },
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "2.34"
                            }
                          }
                        },
                        "reason": {
                          "name": "reason",
                          "description": "Reason for adjustment: Refund discrepancy, shipping_refund",
                          "type": "string",
                          "example": "refund_discrepancy"
                        },
                        "refund_id": {
                          "name": "refund_id",
                          "description": "Refund id , unique recognition",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "tax_amount": "978",
                        "refund_id": "",
                        "kind": "refund_discrepancy",
                        "reason": "refund_discrepancy",
                        "amount": "2.34",
                        "id": "",
                        "order_id": "21057520029298437725452511",
                        "tax_amount_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "2.34"
                          },
                          "shop_money": {
                            "amount": "3.45",
                            "currency_code": "USD"
                          }
                        },
                        "amount_set": {
                          "shop_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "2.34"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "tax_amount_set": {
                          "shop_money": {
                            "amount": "3.45",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "2.34"
                          }
                        },
                        "amount_set": {
                          "presentment_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "2.34",
                            "currency_code": "USD"
                          }
                        },
                        "kind": "refund_discrepancy",
                        "order_id": "21057520029298437725452511",
                        "refund_id": "",
                        "amount": "2.34",
                        "reason": "refund_discrepancy",
                        "id": "",
                        "tax_amount": "978"
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order number associated with this refund order",
                    "type": "string",
                    "example": "21057520029298437725452511"
                  },
                  "refund_line_items": {
                    "name": "refund_line_items",
                    "description": "Refund related Product line information",
                    "type": "array",
                    "items": {
                      "name": "refund_line_items",
                      "description": "Refund related Product line information",
                      "type": "object",
                      "properties": {
                        "restock_type": {
                          "name": "restock_type",
                          "description": "Return- returns only not back",
                          "type": "string",
                          "example": "return"
                        },
                        "subtotal": {
                          "name": "subtotal",
                          "description": "Refund Product row total amount , accuracy 2",
                          "type": "string",
                          "example": "3.45"
                        },
                        "subtotal_set": {
                          "name": "subtotal_set",
                          "description": "Total amount of refund Product bank by store currency and transaction currency",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Marketplace amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Marketplace amount",
                                  "type": "string",
                                  "example": "1.23"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Market currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "1.23"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store currency amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store amount",
                                  "type": "string",
                                  "example": "2.36"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "2.36",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "1.23",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "2.36",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "total_tax": {
                          "name": "total_tax",
                          "description": "Refund Product row tax total amount , accuracy 2",
                          "type": "string",
                          "example": "4.56"
                        },
                        "total_tax_set": {
                          "name": "total_tax_set",
                          "description": "Total amount of refund Product bank tax , sold in store currency and transaction currency",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store currency amount information",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store currency",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "Store amount",
                                  "type": "string",
                                  "example": "6.14"
                                }
                              },
                              "example": {
                                "amount": "6.14",
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Marketplace amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Store amount",
                                  "type": "string",
                                  "example": "3.24"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Store currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "3.24",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "3.24",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "6.14"
                            }
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "Product row id",
                          "type": "long",
                          "example": 0
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number",
                          "type": "long",
                          "example": 601
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Refund Product quantity",
                          "type": "long",
                          "example": 1
                        }
                      },
                      "example": {
                        "line_item_id": 601,
                        "quantity": 1,
                        "restock_type": "return",
                        "subtotal": "3.45",
                        "subtotal_set": {
                          "presentment_money": {
                            "amount": "1.23",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "2.36"
                          }
                        },
                        "total_tax": "4.56",
                        "total_tax_set": {
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "6.14"
                          },
                          "presentment_money": {
                            "amount": "3.24",
                            "currency_code": "USD"
                          }
                        },
                        "id": 0
                      }
                    },
                    "example": [
                      {
                        "subtotal_set": {
                          "presentment_money": {
                            "amount": "1.23",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "2.36",
                            "currency_code": "USD"
                          }
                        },
                        "total_tax": "4.56",
                        "total_tax_set": {
                          "shop_money": {
                            "amount": "6.14",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "amount": "3.24",
                            "currency_code": "USD"
                          }
                        },
                        "id": 0,
                        "line_item_id": 601,
                        "quantity": 1,
                        "restock_type": "return",
                        "subtotal": "3.45"
                      }
                    ]
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "Refund total duty",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.88"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "transactions": {
                    "name": "transactions",
                    "description": "Refund payment slip information",
                    "type": "array",
                    "items": {
                      "name": "transactions",
                      "description": "Refund payment slip information",
                      "type": "object",
                      "properties": {
                        "processed_at": {
                          "name": "processed_at",
                          "description": "Refund form update time",
                          "type": "string",
                          "example": "1673404700862"
                        },
                        "status": {
                          "name": "status",
                          "description": "Handling status, pending, failure, success, and error",
                          "type": "string",
                          "example": "pending"
                        },
                        "amount": {
                          "name": "amount",
                          "description": "The refund amount corresponding to the settlement currency of the refund payment order, precision 2",
                          "type": "long",
                          "example": 0
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "1673404700862"
                        },
                        "currency": {
                          "name": "currency",
                          "description": "Payment currency , payment slip corresponding settlement currency",
                          "type": "string",
                          "example": "USD"
                        },
                        "id": {
                          "name": "id",
                          "description": "Payment slip number",
                          "type": "string",
                          "example": "23057520029306658561302511"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "Payment slip type , here is only refund",
                          "type": "string",
                          "example": "refund"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "Order number for this adjustment of the single link",
                          "type": "string",
                          "example": "21057520029298437725452511"
                        }
                      },
                      "example": {
                        "id": "23057520029306658561302511",
                        "kind": "refund",
                        "order_id": "21057520029298437725452511",
                        "processed_at": "1673404700862",
                        "status": "pending",
                        "amount": 0,
                        "create_at": "1673404700862",
                        "currency": "USD"
                      }
                    },
                    "example": [
                      {
                        "amount": 0,
                        "create_at": "1673404700862",
                        "currency": "USD",
                        "id": "23057520029306658561302511",
                        "kind": "refund",
                        "order_id": "21057520029298437725452511",
                        "processed_at": "1673404700862",
                        "status": "pending"
                      }
                    ]
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "Refund single creation time",
                    "type": "string",
                    "example": "1673404700862"
                  },
                  "id": {
                    "name": "id",
                    "description": "Refund id , unique recognition",
                    "type": "string",
                    "example": "2605755870074105241861"
                  }
                },
                "example": {
                  "order_id": "21057520029298437725452511",
                  "refund_line_items": [
                    {
                      "restock_type": "return",
                      "subtotal": "3.45",
                      "subtotal_set": {
                        "presentment_money": {
                          "amount": "1.23",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "2.36",
                          "currency_code": "USD"
                        }
                      },
                      "total_tax": "4.56",
                      "total_tax_set": {
                        "shop_money": {
                          "amount": "6.14",
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "amount": "3.24",
                          "currency_code": "USD"
                        }
                      },
                      "id": 0,
                      "line_item_id": 601,
                      "quantity": 1
                    }
                  ],
                  "total_duties_set": {
                    "shop_money": {
                      "currency_code": "USD",
                      "amount": "8.88"
                    },
                    "presentment_money": {
                      "amount": "8.88",
                      "currency_code": "USD"
                    }
                  },
                  "transactions": [
                    {
                      "amount": 0,
                      "create_at": "1673404700862",
                      "currency": "USD",
                      "id": "23057520029306658561302511",
                      "kind": "refund",
                      "order_id": "21057520029298437725452511",
                      "processed_at": "1673404700862",
                      "status": "pending"
                    }
                  ],
                  "create_at": "1673404700862",
                  "id": "2605755870074105241861",
                  "note": "Remark",
                  "order_adjustments": [
                    {
                      "tax_amount": "978",
                      "kind": "refund_discrepancy",
                      "order_id": "21057520029298437725452511",
                      "reason": "refund_discrepancy",
                      "tax_amount_set": {
                        "shop_money": {
                          "amount": "3.45",
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        }
                      },
                      "id": "",
                      "amount": "2.34",
                      "amount_set": {
                        "presentment_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "2.34",
                          "currency_code": "USD"
                        }
                      },
                      "refund_id": ""
                    }
                  ]
                }
              }
            },
            "example": {
              "data": {
                "id": "2605755870074105241861",
                "note": "Remark",
                "order_adjustments": [
                  {
                    "tax_amount": "978",
                    "refund_id": "",
                    "order_id": "21057520029298437725452511",
                    "reason": "refund_discrepancy",
                    "tax_amount_set": {
                      "shop_money": {
                        "amount": "3.45",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "2.34"
                      }
                    },
                    "amount_set": {
                      "presentment_money": {
                        "amount": "2.34",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "2.34",
                        "currency_code": "USD"
                      }
                    },
                    "amount": "2.34",
                    "kind": "refund_discrepancy",
                    "id": ""
                  }
                ],
                "order_id": "21057520029298437725452511",
                "refund_line_items": [
                  {
                    "restock_type": "return",
                    "subtotal": "3.45",
                    "subtotal_set": {
                      "presentment_money": {
                        "amount": "1.23",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "2.36",
                        "currency_code": "USD"
                      }
                    },
                    "total_tax": "4.56",
                    "total_tax_set": {
                      "presentment_money": {
                        "amount": "3.24",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "6.14",
                        "currency_code": "USD"
                      }
                    },
                    "id": 0,
                    "line_item_id": 601,
                    "quantity": 1
                  }
                ],
                "total_duties_set": {
                  "presentment_money": {
                    "currency_code": "USD",
                    "amount": "8.88"
                  },
                  "shop_money": {
                    "amount": "8.88",
                    "currency_code": "USD"
                  }
                },
                "transactions": [
                  {
                    "kind": "refund",
                    "order_id": "21057520029298437725452511",
                    "processed_at": "1673404700862",
                    "status": "pending",
                    "amount": 0,
                    "create_at": "1673404700862",
                    "currency": "USD",
                    "id": "23057520029306658561302511"
                  }
                ],
                "create_at": "1673404700862"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/order/refund.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Order refund",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```